{
    "objects": [
        {
            "attributes": {
                "description": "Overview of Kubernetes API Server",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "API Server Top clients by number of requests [Metricbeat Kubernetes] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"API Server Top clients by number of requests [Metricbeat Kubernetes] ECS\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"index_pattern\": \"metricbeat-*\", \"series\": [{\"terms_size\": \"10\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"filter\": \"\", \"seperate_axis\": 0, \"color\": \"rgba(104,188,0,1)\", \"terms_field\": \"kubernetes.apiserver.request.client\", \"axis_position\": \"right\", \"fill\": 0.5, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.apiserver.request.count\", \"type\": \"max\"}, {\"unit\": \"\", \"id\": \"0e6ff4a0-5792-11e8-8bd0-2180975e72dd\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"derivative\"}], \"formatter\": \"number\", \"split_mode\": \"terms\", \"chart_type\": \"line\", \"line_width\": 1, \"label\": \"Top clients by number of requests (5m)\", \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"split_filters\": [{\"id\": \"9e4b8030-5792-11e8-8bd0-2180975e72dd\", \"color\": \"#68BC00\"}], \"point_size\": 1, \"stacked\": \"stacked\"}], \"interval\": \"5m\", \"axis_formatter\": \"number\", \"show_legend\": 1, \"time_field\": \"@timestamp\", \"axis_position\": \"left\", \"type\": \"top_n\", \"show_grid\": 1, \"bar_color_rules\": [{\"id\": \"61a13010-5794-11e8-8bd0-2180975e72dd\"}]}, \"type\": \"metrics\"}"
            },
            "id": "7cbeb750-5794-11e8-afa2-e9067ea62228-ecs",
            "type": "visualization",
            "updated_at": "2018-05-14T18:23:10.501Z",
            "version": 5
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "API Server Requests [Metricbeat Kubernetes] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"API Server Requests [Metricbeat Kubernetes] ECS\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"index_pattern\": \"metricbeat-*\", \"series\": [{\"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"filter\": \"NOT (kubernetes.apiserver.request.verb: WATCH or kubernetes.apiserver.request.verb: CONNECT)\", \"seperate_axis\": 0, \"color\": \"rgba(159,5,0,1)\", \"axis_position\": \"right\", \"fill\": \"0\", \"value_template\": \"{{value}} ms\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.apiserver.request.latency.sum\", \"type\": \"sum\"}, {\"id\": \"a2185e50-57a0-11e8-af57-a1d645d2b569\", \"field\": \"kubernetes.apiserver.request.count\", \"type\": \"max\"}, {\"id\": \"b09133d0-57a0-11e8-af57-a1d645d2b569\", \"variables\": [{\"id\": \"b27c8910-57a0-11e8-af57-a1d645d2b569\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"name\": \"sum\"}, {\"id\": \"b5fc8810-57a0-11e8-af57-a1d645d2b569\", \"field\": \"a2185e50-57a0-11e8-af57-a1d645d2b569\", \"name\": \"count\"}], \"script\": \"params.sum / params.count\", \"type\": \"calculation\"}], \"formatter\": \"us,ms,2\", \"split_mode\": \"everything\", \"chart_type\": \"line\", \"line_width\": 1, \"label\": \"Avg response time\", \"point_size\": 1, \"stacked\": \"none\"}, {\"id\": \"c0019340-57a1-11e8-a049-ff54cef064a2\", \"chart_type\": \"line\", \"seperate_axis\": 1, \"color\": \"rgba(22,165,165,1)\", \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"c001ba50-57a1-11e8-a049-ff54cef064a2\", \"field\": \"kubernetes.apiserver.request.count\", \"type\": \"max\"}, {\"unit\": \"\", \"id\": \"dc83b390-57a1-11e8-a049-ff54cef064a2\", \"field\": \"c001ba50-57a1-11e8-a049-ff54cef064a2\", \"type\": \"derivative\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0.5, \"line_width\": 1, \"label\": \"Requests rate\", \"stacked\": \"none\"}], \"axis_formatter\": \"number\", \"interval\": \"auto\", \"time_field\": \"@timestamp\", \"axis_position\": \"left\", \"type\": \"timeseries\", \"show_grid\": 1, \"show_legend\": 1}, \"type\": \"metrics\"}"
            },
            "id": "ec360ff0-57a0-11e8-afa2-e9067ea62228-ecs",
            "type": "visualization",
            "updated_at": "2018-05-14T18:21:27.515Z",
            "version": 4
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "API Server Top clients by resource [Metricbeat Kubernetes] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"API Server Top clients by resource [Metricbeat Kubernetes] ECS\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"index_pattern\": \"metricbeat-*\", \"series\": [{\"split_filters\": [{\"id\": \"9e4b8030-5792-11e8-8bd0-2180975e72dd\", \"color\": \"#68BC00\"}], \"terms_size\": \"10\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"filter\": \"\", \"seperate_axis\": 0, \"color\": \"rgba(104,188,0,1)\", \"terms_field\": \"kubernetes.apiserver.request.resource\", \"axis_position\": \"right\", \"override_index_pattern\": 0, \"fill\": 0.5, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.apiserver.request.count\", \"type\": \"max\"}, {\"unit\": \"\", \"id\": \"0e6ff4a0-5792-11e8-8bd0-2180975e72dd\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"derivative\"}], \"formatter\": \"number\", \"split_mode\": \"terms\", \"chart_type\": \"line\", \"line_width\": 1, \"label\": \"Top clients by number of requests (5m)\", \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"series_drop_last_bucket\": 1, \"point_size\": 1, \"stacked\": \"stacked\"}], \"interval\": \"5m\", \"axis_formatter\": \"number\", \"show_legend\": 1, \"time_field\": \"@timestamp\", \"axis_position\": \"left\", \"type\": \"top_n\", \"show_grid\": 1, \"bar_color_rules\": [{\"id\": \"61a13010-5794-11e8-8bd0-2180975e72dd\"}]}, \"type\": \"metrics\"}"
            },
            "id": "95a7f110-57a2-11e8-afa2-e9067ea62228-ecs",
            "type": "visualization",
            "updated_at": "2018-05-14T18:23:50.093Z",
            "version": 4
        },
        {
            "attributes": {
                "description": "Kubernetes API server metrics",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"version\": true, \"filter\": [], \"highlightAll\": true}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"darkTheme\": false, \"useMargins\": false}",
                "panelsJSON": "[{\"id\": \"7cbeb750-5794-11e8-afa2-e9067ea62228-ecs\", \"type\": \"visualization\", \"panelIndex\": \"1\", \"embeddableConfig\": {}, \"version\": \"6.3.0\", \"gridData\": {\"x\": 0, \"i\": \"1\", \"w\": 24, \"y\": 22, \"h\": 24}}, {\"id\": \"ec360ff0-57a0-11e8-afa2-e9067ea62228-ecs\", \"type\": \"visualization\", \"panelIndex\": \"3\", \"embeddableConfig\": {}, \"version\": \"6.3.0\", \"gridData\": {\"x\": 0, \"i\": \"3\", \"w\": 48, \"y\": 0, \"h\": 22}}, {\"id\": \"95a7f110-57a2-11e8-afa2-e9067ea62228-ecs\", \"type\": \"visualization\", \"panelIndex\": \"4\", \"embeddableConfig\": {}, \"version\": \"6.3.0\", \"gridData\": {\"x\": 24, \"i\": \"4\", \"w\": 24, \"y\": 22, \"h\": 24}}]",
                "timeRestore": false,
                "title": "[Metricbeat Kubernetes] API server ECS",
                "version": 1
            },
            "id": "af7225b0-5794-11e8-afa2-e9067ea62228-ecs",
            "type": "dashboard",
            "updated_at": "2018-05-14T18:23:55.202Z",
            "version": 5
        }
    ],
    "version": "6.3.0"
}